
#ifndef __FFTS_H
#define __FFTS_H

#include "ftypes.h"

extern "C" {
  int FC_FUNC(rffti,RFFTI)(integer *n, real *wsave);
  int FC_FUNC(rfftf,RFFTF)(integer *n, real *r, real *wsave);
}

/*******************************************************************/
// Fortran FFT macros
#define INITFFT(n,w) FC_FUNC(rffti,RFFTI)((n),(w))
#define FORWARDFFT(n,a,w) FC_FUNC(rfftf,RFFTI)((n),(a),(w))
#define WORKDIMSIZE(a) (2*(a)+15)
/*******************************************************************/  

#endif /* __FFTS_H */
